#!/bin/sh
# Copyright (c) MCST, 2022

# This is wrapper script to run LTP test sockioctl02
# The purpose of the script is to detect available network interface at node under test
#             and submit availabe options as argument to the test executable.

TMP_LOG_FILE="/tmp/sockioctl.tmplog"

# Keyword to sort out ip log:
KEYWORD="BROADCAST"

ip link show | grep $KEYWORD > $TMP_LOG_FILE

# Filtering log file:

sed -i 's/^[0-9]*: //g' $TMP_LOG_FILE
sed -i 's/: .*//g' $TMP_LOG_FILE
sed -i 's/[ \t]*//g' $TMP_LOG_FILE
sed -i '/^$/d' $TMP_LOG_FILE

# cat $TMP_LOG_FILE

# Adding devices as arguments to the command line to execute:

TEST_COMMAND="`dirname $0`/sockioctl02"

while read line; do
#    echo $line
    TEST_COMMAND="$TEST_COMMAND $line"
done < $TMP_LOG_FILE

echo "Running test: $TEST_COMMAND"
$TEST_COMMAND

\rm -rf $TMP_LOG_FILE
