#!/bin/bash

# Print ethernet MAC, Name, IP, PCI ...

t=0
n=0
e=0
D='/sys/class/net'

# Ctrl-C ...
trap "exit 0" KILL HUP INT TERM

fetch_if() {
	if [ "$t" -eq 1 ]; then
		if [ "$n" -eq 1 ]; then
			echo "N     BUS            ID              MAC        NAME    DRIVER"
		else
			echo "   BUS            ID              MAC         NAME    DRIVER"
		fi
	fi

	for nic in $( ls $D )
	do
		if grep -q 1 $D/$nic/type
		then
			mac=`cat $D/$nic/address`
			indx=`cat $D/$nic/ifindex`
			state=`cat $D/$nic/operstate`
			drv=$(cat "$D/$nic/device/uevent" | grep DRIVER | sed 's/DRIVER=//')	
			pci=`ls -ld $D/$nic/device | awk 'BEGIN{FS=">"}{print $2}' | xargs basename `
			vendor=`cat $D/$nic/device/vendor`
			device=`cat $D/$nic/device/device`

			if [ $n -eq 1 ]; then
				echo "$indx $pci $vendor:$device $mac $nic $drv ($state)"
			else
				echo "$pci $vendor:$device $mac $nic $drv ($state)"
			fi
		fi
	done
}

help() {
	echo "Usage: $0 [-h] [-n] [-t]"
	echo "    -n - print interface number"
	echo "    -t - print header"
	echo "    -e - print ip"
}

while getopts ":hnte" opt; do
	case ${opt} in
	h )
		help
		exit 0
		;;
	n )
		n=1
		;;
	t )
		t=1
		;;
	e )
		e=1
		;;
	\? )
		echo "Invalid option: -$OPTARG" >&2
		exit 1
	;;
	esac
done

fetch_if

if [ "$e" -eq 1 ]; then
	echo ""
	ip -br addr show
fi

exit 0

