#!/bin/bash

# This script is used to configure and compile Netperf test packet.
# Environment variables CC and ARCH must be set.
# ARCH must be one of e2k, sparc, sparc64 or i386.
# If ARCH is not set then compilation would execute for host system architecture.

#
# Check ARCH
#
HOSTARCH=`uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/`
if [ "$ARCH" = "" ]; then
	ARCH=${HOSTARCH}
fi;

#if ! [ "$ARCH" = "e2k" -o "$ARCH" = "sparc" -o "$ARCH" = "sparc64" -o "$ARCH" = "i386" ]; then
#	echo "Set ARCH variable. It must be one of e2k, sparc, sparc64 or i386."
#	exit 1;
#fi;

#
# Get CC from command line
#
for arg  in $* ; do
	if echo ${arg} | grep "CC=" > /dev/null; then
		CC=`echo ${arg} | sed -e s/CC=//`
	fi;
done;

if [ "${CC}" = "" ]; then
	echo "You must set compilator variable. Specify CC=path_to_compilator in command line."
	exit 1;
fi;

#
# Set CROSS_MODE variabe
#
CROSS_MODE=0
if ! [ "$ARCH" = "$HOSTARCH" ]; then
	CROSS_MODE=1
fi;

CROSS_CFLAGS=""
[ ! -z "${ROOT_WA}" ] && CROSS_CFLAGS="-I${ROOT_WA}/usr/include"

CROSS_CPPFLAGS=""
[ ! -z "${CROSSROOT}" ] && CROSS_CPPFLAGS="-I$CROSSROOT/usr/include -I$CROSSROOT/usr/include/${ARCH}-linux-gnu"

CROSS_LDFLAGS=""
[ ! -z "${CROSSROOT}" ] && CROSS_LDFLAGS="-L${CROSSROOT}/usr/lib"

CFLAGS="$CROSS_CFLAGS $CFLAGS"
LDFLAGS="$CROSS_LDFLAGS $LDFLAGS"
CPPFLAGS="$CROSS_CPPFLAGS $CPPFLAGS"
export CC CPP LD CFLAGS CPPFLAGS LDFLAGS
#
# Execute configure
#
if [ "$CROSS_MODE" = "1" ]; then
	if [ "$ARCH" = "e2k" ]; then
		TARGET=e2k-mcst-linux-gnu
	elif [ "$ARCH" = "sparc" ]; then
		TARGET=sparc-mcst-linux-gnu
	elif [ "$ARCH" = "sparc64" ]; then
		TARGET=sparc64-mcst-linux-gnu
	elif [ "$ARCH" = "i386" ]; then
		TARGET=i386-mcst-linux-gnu
	fi;

	echo "ac_cv_func_setpgrp_void=yes" > ./config.cache
	./configure --enable-sctp --host=${TARGET} --config-cache
#	./configure --enable-sctp CC="${CC}" CFLAGS="${CROSS_CFLAGS}" LDFLAGS="${CROSS_LDFLAGS}" --host=${TARGET} --config-cache
else
	./configure --enable-sctp
#	./configure --enable-sctp CC="${CC}" CFLAGS="${CROSS_CFLAGS}"
fi;

#
# Execute make
#
make
