#!/bin/bash
NETPERF=/opt/mcst/check/OSLTC/tlinks/netperf_tc/root/usr/local/bin/netperf
RES_0=/tmp/res_netprf_0
# Test netperf output example for awk parcing
# UDP UNIDIRECTIONAL SEND TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to 1.1.4.2 (1.1.4.2) port 0 AF_INET : cpu bind
# Socket  Message  Elapsed      Messages
# Size    Size     Time         Okay Errors   Throughput
# bytes   bytes    secs            #      #   10^6bits/sec
#
# 12582912     128   60.00     3755096      0      64.09
# 12582912           60.00     3755096             64.09
echo =================================================
echo "Интерфейсы Ethernet должны oбеспечивать функции автоопределения скорости"

IP=$1
ETH=$2
if [ $# -ne 2 ]
then
    echo "Использование: `basename $0` <ip> <ethX>"
    IP=1.1.4.2; ETH=eth104
    echo "Установки по умолчанию: IP=$IP ETH=$ETH."
fi
LOC_SPEED=`ethtool $ETH | sed -n 's/.*Speed: *\(.*\)Mb\/s/\1/p'`
echo Скорость $ETH на локальной машине = $LOC_SPEED Мбит/с.
REM_SPEED=`ssh $IP ethtool $ETH | sed -n 's/.*Speed: *\(.*\)Mb\/s/\1/p'`
echo Текущая скорость $ETH на машине $IP = $REM_SPEED Мбит/с.
echo Устанавливаем скорость 10 Мбит/с для $ETH на машине $IP и запускаем netperf.
ssh $IP "ethtool -s $ETH duplex full speed 10"
$NETPERF -t UDP_STREAM -H $IP -T 3,3 -- -m 128 > $RES_0
speed1=`awk '/Messages/{getline;getline;getline;getline;getline; print int($4)}' $RES_0`
echo Получена скорость: $speed1 Мбит/сек

echo Восстанавливаем скорость $ETH на машине $IP = $REM_SPEED Мбит/с и запускаем netperf.
ssh $IP "ethtool -s $ETH duplex full speed $REM_SPEED"
$NETPERF -t UDP_STREAM -H $IP -T 3,3 -- -m 128 > RES_0
speed1=`awk '/Messages/{getline;getline;getline;getline;getline; print int($4)}' RES_0`
echo Получена скорость: $speed1 Мбит/сек

#awk '/Messages/{getline;getline;getline;getline; speed1=$5; getline;\
#    speed2=$4;
#    if (speed2 < 10) { print "PASS";} else print "FAIL"}' $RES_0
