#!/bin/bash
NETPERF=/opt/mcst/check/OSLTC/tlinks/netperf_tc/root/usr/local/bin/netperf
RES=/tmp/res_netprf_0
# Test netperf output example for awk parcing
# UDP UNIDIRECTIONAL SEND TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to 1.1.4.2 (1.1.4.2) port 0 AF_INET : cpu bind
# Socket  Message  Elapsed      Messages
# Size    Size     Time         Okay Errors   Throughput
# bytes   bytes    secs            #      #   10^6bits/sec
#
# 12582912     128   60.00     3755096      0      64.09
# 12582912           60.00     3755096             64.09
DUR=60
echo =================================================
echo "    Для сообщений длиной 128 байт и короче должно
    передаваться не менее 20 000 UDP-пакетов в секунду
    с вероятностью  потерь пакетов не выше 10^-6"

cd /opt/mcst/check/OSLTC/tlinks/netperf_tc/root/usr/local/bin
IP=1.1.3.2 CPU=1
# prepare for testing
./netperf -t UDP_STREAM -H $IP -T $CPU,$CPU -- -m 128 > /dev/nul 2>&1

TST="./netperf -t UDP_STREAM -H $IP -l $DUR -T $CPU,$CPU -- -m 128"
sysctl net.ipv4.conf.all.snd_num4period=420 > /dev/null
sysctl net.ipv4.conf.all.snd_period_us=20000 > /dev/null

echo Запуск теста:
echo $TST
$TST > $RES 2>&1
awk '/Messages/{getline;getline;getline;getline; send=$4; getline;\
    recv=$3; p = (send - recv) / send; printf("Послано %d пакетов/c\n\
        потеряно = (%d - %d) = %d потеряно/послано <= %7.1e\n", send/'$DUR', send, recv,\
        send - recv, (1 + send - recv) / send);
    if (p < 1e-6) { print "PASS";} else print "FAIL"}' $RES
sysctl -p /etc/sysctl.conf > /dev/null 2>&1
#cat $RES
#rm $RES
