#!/bin/bash
NETPERF=/opt/mcst/check/OSLTC/tlinks/netperf_tc/root/usr/local/bin/netperf
RES_0=/tmp/res_netprf_0

echo =================================================
echo "Проверка возможности построения маршрутизаторов"

IP_SND=1.1.0.3; IP_RECV=1.1.1.2;
echo 1 > /proc/sys/net/ipv4/ip_forward
ifconfig bond0 down > /dev/null 2>&1
ifconfig bond1 down > /dev/null 2>&1
for net in `seq 2 10`; do
	if=`ip -br addr show | awk /1.1.$net.1'/{print $1}'`; ip link set dev $if down > /dev/null 2>&1
done
echo Исполнение netperf на $IP_SND для $IP_RECV. Текущая машина выполняет forwarding
ssh $IP_SND "if=`ip -br addr show | awk /1.1.1.1'/{print $1}'`; ip link set dev $if down > /dev/null 2>&1"
ssh $IP_SND "route add default gw 1.1.0.1 > /dev/null 2>&1"
ssh $IP_SND "grep '^1.1.0.1' /etc/hosts > /dev/null || echo '1.1.0.1 vk83t6-01' >> /etc/hosts"
ssh $IP_SND "grep '^1.1.0.2' /etc/hosts > /dev/null || echo '1.1.1.2 vk83t6-02' >> /etc/hosts"
ssh $IP_RECV "if=`ip -br addr show | awk /1.1.0.1'/{print $1}'`; ip link set dev $if down > /dev/null 2>&1"
ssh $IP_RECV ifconfig bond0 down > /dev/null 2>&1
ssh $IP_RECV ifconfig bond1 down > /dev/null 2>&1
echo ssh $IP_SND $NETPERF -t UDP_STREAM -H $IP_RECV -- -m 128
ssh $IP_SND $NETPERF -t UDP_STREAM -H $IP_RECV -- -m 128 | tee $RES_0
grep Throughput $RES_0  > /dev/null 2>&1
if [ $? -eq 0 ]; then
	echo PASS;
else
	echo FAIL;
fi
echo 0 > /proc/sys/net/ipv4/ip_forward
for net in `seq 2 10`; do
	if=`ip -br addr show | awk /1.1.$net.1'/{print $1}'`; ip link set dev $if up > /dev/null 2>&1
done
ssh $IP_RECV "if=`ip -br addr show | awk /1.1.0.1'/{print $1}'`; ip link set dev $if up > /dev/null 2>&1"
ssh $IP_RECV ifconfig bond0 up > /dev/null 2>&1
