#! /bin/bash

# Отключение drweb и elmac:
#/etc/init.d/drweb-configd stop
#elmac-configure -i off

UVKSA_N=${1:-1}
echo =================================================
echo =================================================
echo uvksa_init.sh для машины № $UVKSA_N

if [[ $UVKSA_N == 3 ]]; then
    route add default gw 1.1.0.1
    grep '^1.1.0.1' /etc/hosts > /dev/null
    if [ $? -ne 0 ]; then
	    echo "1.1.0.1 vk83t6" >> /etc/hosts;
	    echo "1.1.1.2 1E2S3-481-0019" >> /etc/hosts;
    fi
    exit
fi

apt-get install el-utils
apt-get install stdp
apt-get install ethtool
apt-get install ifenslave
lsmod | grep bond > /dev/null || modprobe bonding
sed -i 's/^# bonding/bonding/' /etc/modules-`uname -r`
grep bonding /etc/modules > /dev/null || sed -i '$a\bonding' /etc/modules

cat > /etc/network/interfaces_83t6 <<EOF
# interfaces_83t6
auto bond0
iface bond0 inet static
        address 1.1.0.1
        broadcast 1.1.0.255
        netmask 255.255.255.0
        bond-slaves none
        bond-mode active-backup
        bond-miimon 1000

auto bond1
iface bond1 inet static
        address 1.1.1.1
        broadcast 1.1.1.255
        netmask 255.255.255.0
        bond-slaves none
        bond-mode active-backup
        bond-miimon 1000

auto bond2
iface bond2 inet static
        address 1.1.2.1
        broadcast 1.1.2.255
        netmask 255.255.255.0
        bond-slaves none
        bond-mode active-backup
        bond-miimon 1000

auto bond3
iface bond3 inet static
        address 1.1.3.1
        broadcast 1.1.3.255
        netmask 255.255.255.0
        bond-slaves none
        bond-mode active-backup
        bond-miimon 1000

# l_e1000 and mgb:
auto eth100
iface eth100 inet static
        address 1.1.0.1
        broadcast 1.1.0.255
        netmask 255.255.255.0
	bond-master bond0
        bond-primary eth100

auto eth101
iface eth101 inet static
        address 1.1.1.1
        broadcast 1.1.1.255
        netmask 255.255.255.0
	bond-master bond1
        bond-primary eth101

auto eth102
iface eth102 inet static
        address 1.1.2.1
        broadcast 1.1.2.255
        netmask 255.255.255.0
	bond-master bond2
        bond-primary eth102

auto eth103
iface eth103 inet static
        address 1.1.3.1
        broadcast 1.1.3.255
        netmask 255.255.255.0
	bond-master bond3
        bond-primary eth103

auto eth104
iface eth104 inet static
        address 1.1.4.1
        broadcast 1.1.4.255
        netmask 255.255.255.0

# MFE
auto eth105
iface eth105 inet static
        address 1.1.5.1
        broadcast 1.1.5.255
        netmask 255.255.255.0

auto eth106
iface eth106 inet static
        address 1.1.6.1
        broadcast 1.1.6.255
        netmask 255.255.255.0

auto eth107
iface eth107 inet static
        address 1.1.7.1
        broadcast 1.1.7.255
        netmask 255.255.255.0
	bond-master bond0

auto eth108
iface eth108 inet static
        address 1.1.8.1
        broadcast 1.1.8.255
        netmask 255.255.255.0
	bond-master bond1

auto eth111
iface eth111 inet static
        address 1.1.9.1
        broadcast 1.1.9.255
        netmask 255.255.255.0
	bond-master bond2

auto eth110
iface eth110 inet static
        address 1.1.10.1
        broadcast 1.1.10.255
        netmask 255.255.255.0
        bond-master bond3
# The loopback network interface
auto lo
iface lo inet loopback

auto eth109
    iface eth109 inet static
    address 192.168.61.186/22
    gateway 192.168.63.1

EOF
cp /etc/network/interfaces_83t6 /etc/network/interfaces_83t6_p
if [[ $UVKSA_N == 2 ]]; then
	sed -i 's/1\.1\.\([0-9]*\)\.1$/1\.1.\1\.2/; s/61\.186/61\.187/' /etc/network/interfaces_83t6
fi

grep 'interfaces_83t6' /etc/network/interfaces > /dev/null
if [ $? -ne 0 ]; then
	cp /etc/network/interfaces /etc/network/interfaces_saved
	cp /etc/network/interfaces_83t6 /etc/network/interfaces
fi

echo /etc/init.d/networking restart
/etc/init.d/networking restart

echo

echo
echo Добавение в sysctl.conf установки размера буферов приема и предельной частоты посылок пакетов
cat > /etc/sysctl.conf <<EOF
net.ipv4.conf.all.arp_ignore=1
net.ipv4.conf.all.arp_announce=2
net.ipv4.neigh.default.gc_thresh1=1024
net.ipv4.neigh.default.gc_thresh2=2048
net.ipv4.neigh.default.gc_thresh3=4096
kernel.msgmni=1024
net.core.rmem_default=2100000000
net.core.rmem_max=2100000000
net.ipv4.conf.all.snd_num4period=420
net.ipv4.conf.all.snd_period_us=20000
net.ipv4.conf.all.snd_limsz4period=256
net.ipv4.ipfrag_high_thresh=419430400
net.core.sock_minrcvbuf=2100000000
EOF

sysctl -p /etc/sysctl.conf

# Defaults are
#net.core.rmem_max = 212992
#net.core.rmem_default = 212992
#net.ipv4.ipfrag_high_thresh = 4194304

# список сервисов, которые не останавливаем
needed_list="(console-cyrillic|console-setup|dbus|kmod|networking|ssh|sysstat|udev|udev-finish|unscd|urandom|xinetd|procps|rc.local|rpcbind|atd|auditd|chrony|cron|cups|cups-browsed|drweb-configd|esc-printcontrol-daemon|kbd|keyboard-setup|nis|nmbd|rpcbind|rsyslog|snmpd|aumix|postgresql)"

echo Останавливаем сервисы
for s in `service --status-all 2>/dev/null| egrep -v "$needed_list" | sed -n '/+/s/.* //p'`; do
    echo $s
    service $s stop
done

# Остаовка СОВ
/etc/init.d/snort stop
/etc/init.d/ossec stop
systemctl stop postgresql@9.6-estsov.service
pkill -U -9 ossec
apt-get remove task-sov-server
apt-get remove task-sov-client

# Привязать все процессы drweb и тп к процессорам маской CPU_MASK
CPU_MASK=2;  # только к процессору № 1
echo Привязать по CPU-маске $CPU_MASK процессы:
for COMM in drweb systemd snmpd Xorg sshd rsyslogd ypbind esc- xfdesktop xinput jbd bash dbus cups polkitd popsquares nscd xinetd chronyd kthreadd rcu_sched cron atd slim nginx snort xfce4-session xfsettingsd kauditd xlyap shadebobs ossec- nmbd php5- filed avahi-daemon ModemManager; do
	echo -n "$COMM "
	for PID in `ps -e -o pid,comm | awk /$COMM'/{print $1}'`; do
		/usr/bin/proc_bind $PID $CPU_MASK;
		renice 19 -p $PID > /dev/null
	done
done
echo

if [[ $UVKSA_N == 1 ]]; then
	grep '^1.1.1.2' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.1.2 vk83t6-02" >> /etc/hosts;
	fi
	grep '^1.1.4.2' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.4.2 vk83t6-02" >> /etc/hosts;
	fi
	grep '^1.1.5.2' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.5.2 vk83t6-02" >> /etc/hosts;
	fi
	grep '^1.1.0.3' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.0.3 ed401-149-02" >> /etc/hosts;
	fi
fi
if [[ $UVKSA_N == 2 ]]; then
    route add default gw 1.1.1.1
	grep '^1.1.1.1' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.1.1 vk83t6-01" >> /etc/hosts;
	fi
	grep '^1.1.0.1' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.0.1 vk83t6-01" >> /etc/hosts;
	fi
	grep '^1.1.4.1' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.4.1 vk83t6-01" >> /etc/hosts;
	fi
	grep '^1.1.5.1' /etc/hosts > /dev/null
	if [ $? -ne 0 ]; then
		echo "1.1.5.1 vk83t6-01" >> /etc/hosts;
	fi
fi
iptables -F
echo
echo Запуск netserver для netperf
killall netserver > /dev/null 2>&1
/opt/mcst/check/OSLTC/tlinks/netperf_tc/root/usr/local/bin/netserver

if [[ $UVKSA_N == 1 ]]; then
	IP_SND=1.1.0.3;
	IP_RECV=1.1.1.2;
	/opt/mcst/check/stdp/bin/set_sshkey -u root -h $IP_SND
	/opt/mcst/check/stdp/bin/set_sshkey -u root -h $IP_RECV
	UVKSA_INIT=/opt/mcst/check/OSLTC/etests/netperf_tc/uvksa_init.sh
	ssh $IP_RECV "$UVKSA_INIT 2"
	ssh $IP_SND "$UVKSA_INIT 3"
fi
