#!/bin/bash

cd $(dirname $0)

LTPROOT="/opt/mcst/check/OSLTC/tlinks/ltp_tc"

TEST="${LTPROOT}/root/testcases/bin/chmod06"

ret=0

export PROTECTED_MODE_SOFT=1
export PM_SC_DBG_WARNINGS=1

###############################################################################
# DEFAULT LOCALE
###############################################################################
export LC_ALL=en_EN.UTF-8

echo -n "protected mode runtime error : "
${TEST} 2>&1 | grep -q "protected mode runtime error" 
if [ $? == 0 ]; then
	echo "PASS"
else
	echo "FAIL"
	ret=1
fi

echo -n "protected mode runtime warning : "
${TEST} 2>&1 | grep -q "protected mode runtime warning"
if [ $? == 0 ]; then
        echo "PASS"
else
        echo "FAIL"
        ret=1
fi

###############################################################################
# ru_RU.UTF-8 LOCALE
###############################################################################
export LC_ALL=ru_RU.UTF-8

echo -n "ошибка режима безопасных вычислений : "
${TEST} 2>&1 | grep -q "ошибка режима безопасных вычислений" 
if [ $? == 0 ]; then
	echo "PASS"
else
	echo "FAIL"
	ret=1
fi

echo -n "потенциальная ошибка режима безопасных вычислений : "
${TEST} 2>&1 | grep -q "потенциальная ошибка режима безопасных вычислений"
if [ $? == 0 ]; then
        echo "PASS"
else
        echo "FAIL"
        ret=1
fi


exit $ret
