#!/bin/bash

unalias -a
set +x

$SET_DEBUG

export PATH=/opt/mcst/check/OSLTC/bin:/sbin:$PATH

MODPROBE="$(which modprobe)"

CWD="$(pwd)"
cd /opt/mcst/check/OSLTC/etests/ltp_tc

cp scen.cp scen.cp.backup
grep syscalls ./scen.cp.backup > ./scen.cp
# Configure
conf_osltc -d .
head -n 10 ./root/runtest/syscalls.cp > ./root/runtest/syscalls.cp.tmp 
mv  ./root/runtest/syscalls.cp.tmp ./root/runtest/syscalls.cp
cp scen.cp.backup scen.cp

# Setup
su_osltc "$MODPROBE" "tun"
su_osltc "$MODPROBE" "loop"

# Cleanup logs
su_osltc "rm" "-rf" "root/results" "root/output"

# Unset real-time priority
ulimit -r 0

trap ':' SIGTERM

su_osltc "killall" "gvfsd" "gvfs-udisks2-volume-monitor" "gvfsd-trash"
export LTP_TIMEOUT_MUL=4

run_OSLTC $*
ret=$?

# Save logs
results=$(ls | grep results- | sort -V | tail -n 1)
mkdir -p ${results}/LOGS
cp -r root/results/* ./${results}/LOGS
cp -r root/output/* ./${results}/LOGS

cd "$CWD"

exit $ret
