#!/bin/bash

prog=${0##*/}

cd $(dirname $0)


BIN_DIR=$(pwd)
TMP_DIR=${BIN_DIR}/../tmp
CFG_DIR=${BIN_DIR}/../cfg
ENV_FILE=${CFG_DIR}/env
OUT=${TMP_DIR}/rprog_stdout
OUT1=${TMP_DIR}/rsh_osltc_stdout
RES=${TMP_DIR}/rprog_res

rprog=${BIN_DIR}/rprog
rprogname=$(basename $rprog)

. $ENV_FILE

[ -z $RUSER ] && RUSER=$(whoami)

rm -rf $TMP_DIR
mkdir -m 0777 $TMP_DIR

echo "$prog: HELLO: <comments>"

typeset -i ret=0

host=$(uname -n)

if [[ -z $RHOST || $RHOST == $host ]]; then
	RHOST=$host
	echo "$prog: run $rprogname on local host"
	($rprog xyz >$OUT 2>&1; echo $? >$RES) &
	pp=$!
	wait $pp
	ret=$(<${RES})
else
	# Check RHOST is known, active and has username login without password"
	echo "$prog: Check $RHOST is active"
	rsh_osltc -A -n $RHOST -l $RUSER >$OUT1 2>&1
	if [ $? != 0 ]; then
		echo "$prog: $RHOST is not active"
		cat $OUT1
		exit 1
	fi

	echo "$prog: Run $rprogname on $RHOST host"
	rsh_osltc -P -n $RHOST -l $RUSER -o $OUT "$rprog abc" >$OUT1 2>&1 & 
	pp=$!
	wait $pp
	ret=$?

	# rsh_osltc failed
	if (( ret == 99 )); then
		echo "$prog: Cannot run $rprogname on $RHOST"
		cat $OUT1
		exit 1
	fi
fi

cat $OUT

# analyse rprog execution results
(( ret > 0 )) && echo "$prog: $rprogname on $RHOST returned $ret" && exit 1

(( ret == 0 )) && echo "$prog: $rprogname on $RHOST passed"

exit 0
