#!/bin/bash

progname=$(basename $0)

CWD=$(dirname $0)
cd $CWD
CWD=$(pwd)

progpath="$CWD/$progname"
servicepath="/etc/systemd/system/$progname.service"

if [ "$PPID" != "1" ]; 
then
	#####
	##### Executed by run_OSLTC
	#####
	cat > $servicepath << EOF
[Unit]
Description=OSLTC loading program service
Requires=local-fs.target
After=local-fs.target

[Service]
Type=oneshot
ExecStart=$progpath
StandardOutput=null
RemainAfterExit=no

[Install]
WantedBy=multi-user.target
EOF
	cat $servicepath
	systemctl enable $progname
	reboot
else
	#####
	##### Executed by systemd
	#####
	cd "$CWD/.."
	results=$(ls | grep results- | sort -V | tail -n 1)
	echo "########### PROGRAM STARTED BY SYSTEMD ##########" >> ./$results/journal
	echo "/proc/uptime - $(cat /proc/uptime)" >> ./$results/journal
	echo "PASS" >> ./$results/journal
	echo "PASS" > ./$results/PASS	

	systemctl disable $progname
	rm $servicepath	
fi
