#!/bin/bash

PATH_TO_MCT="/opt/mcst/check/MCT"
RES=0
TMPCFG="/tmp/mct_good.cfg"
TMPCFG_bad="/tmp/mct_bad.cfg"

PWD=$(pwd)

if [[ ! -f ${PATH_TO_MCT}/bin/mct ]]; then
	echo "MCT not found."
	exit 1
fi

cd $PATH_TO_MCT

echo "--- Print configuration VK:"
bin/mct -D

echo
echo "--- Create configuration file and run test"

echo "y" | bin/mct -C $TMPCFG
bin/mct -c $TMPCFG

echo
echo "--- Check file \"pass\""
echo "> ls /tmp/mct"
ls /tmp/mct

ls /tmp/mct/pass 1>/dev/null 2>/dev/null
RES_pass=$?

echo
echo "--- Check saving results after work"
echo "> ls -la /opt/mcst/check/MCT/results/result"
d=$(date +%Y%m%d_%H%M)
ls -la /opt/mcst/check/MCT/results | grep $d
ls -la /opt/mcst/check/MCT/results/result
echo "--- Current date:"
date

sleep 2

echo
echo "--- Check FAIL:"
echo "--- Change memory size to incorrect and run test"
cat $TMPCFG | sed 's/MEMORY (/MEMORY (9/g' >$TMPCFG_bad

bin/mct -c $TMPCFG_bad

echo
echo "--- Check file \"fail\""
echo "> ls /tmp/mct"
ls /tmp/mct

ls /tmp/mct/fail 1>/dev/null 2>/dev/null
RES_fail=$?


if [[ $RES_fail != "0" || $RES_pass != "0" ]]; then
	RES=1
fi

echo
echo
if [[ $RES == "0" ]];then
	echo "--- Result: mct_tc - PASS"
else
	echo "--- Result: mct_tc - FAIL"
fi
echo

cd $PWD

exit $RES
