#!/bin/bash

PROGNAME=$(basename $0)

CWD=$(dirname $0)
cd $CWD
CWD=$PWD

LOG="$CWD/$PROGNAME.log"
su_osltc "rm" "-f" "$LOG"

PROG_TO_TRACE=$(which uname)
PROG_TO_TRACE="$PROG_TO_TRACE -a"

FAIL=0

###############################################################################
# TEST 1
###############################################################################
echo "#" > $LOG
echo "# Trace and timing prog : $PROG_TO_TRACE" >> $LOG
echo "#" >> $LOG
echo -n "strace -T $PROG_TO_TRACE : "
strace -T $PROG_TO_TRACE >> $LOG 2>&1 
if [ $? != 0 ]; then
	echo "FAIL"
	let "FAIL += 1"
else
	echo "PASS"
fi
echo "" >> $LOG

###############################################################################
# TEST 2
###############################################################################
echo "#" >> $LOG
echo "# Trace only file syscalls" >> $LOG
echo "#" >> $LOG
echo -n "strace -e trace=file $PROG_TO_TRACE : "
strace -e trace=file $PROG_TO_TRACE >> $LOG 2>&1 
if [ $? != 0 ]; then
	echo "FAIL"
	let "FAIL += 1"
else
	echo "PASS"
fi
echo "" >> $LOG

###############################################################################
# TEST 3
###############################################################################
echo "#" >> $LOG
echo "# Report summary trace info" >> $LOG
echo "#" >> $LOG
echo -n "strace -c $PROG_TO_TRACE : "
strace -c $PROG_TO_TRACE >> $LOG 2>&1 
if [ $? != 0 ]; then
	echo "FAIL"
	let "FAIL += 1"
else
	echo "PASS"
fi
echo "" >> $LOG

###############################################################################
# EXIT
###############################################################################
if [ $FAIL != 0 ]; then
	echo "FAIL"
	exit 1
else
	echo "PASS"
	exit 0
fi
